Package com.independentsoft.office.odf.styles

# Class FootnoteSeparator

java.lang.Object
com.independentsoft.office.odf.styles.FootnoteSeparator

public class FootnoteSeparator extends Object
Represents the line that separates a footnote area from a body text area on a page.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FootnoteSeparator()`
  Initializes a new instance of the FootnoteSeparator class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FootnoteSeparator`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Adjustment`
  `getAdjustment()`
  Specifies how a footnote separator line is aligned on a page.
  `String`
  `getColor()`
  Gets the color of a column or footnote separator line.
  `Size`
  `getDistanceAfterSeparator()`
  Gets the space between a footnote separator line and the footnote text.
  `Size`
  `getDistanceBeforeSeparator()`
  Gets the space between the body text area and a footnote separator line.
  `LineStyle`
  `getLineStyle()`
  Gets the style of a footnote separator line.
  `Size`
  `getRelativeWidth()`
  Gets the length of the footnote separator line as a percentage of the body text area.
  `Size`
  `getWidth()`
  Gets the width or thickness of a line.
  `void`
  `setAdjustment​(Adjustment adjustment)`
  Specifies how a footnote separator line is aligned on a page.
  `void`
  `setColor​(String color)`
  Sets the color of a column or footnote separator line.
  `void`
  `setDistanceAfterSeparator​(Size distanceAfterSeparator)`
  Sets the space between a footnote separator line and the footnote text.
  `void`
  `setDistanceBeforeSeparator​(Size distanceBeforeSeparator)`
  Sets the space between the body text area and a footnote separator line.
  `void`
  `setLineStyle​(LineStyle lineStyle)`
  Sets the style of a footnote separator line.
  `void`
  `setRelativeWidth​(Size relativeWidth)`
  Sets the length of the footnote separator line as a percentage of the body text area.
  `void`
  `setWidth​(Size width)`
  Sets the width or thickness of a line.
  `String`
  `toString()`
  Converts the value of the current FootnoteSeparator object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FootnoteSeparator

    public FootnoteSeparator()
    Initializes a new instance of the FootnoteSeparator class.

- ## Method Details

  - ### clone

    public FootnoteSeparator clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current FootnoteSeparator object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getWidth

    public Size getWidth()
    Gets the width or thickness of a line.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Size width)
    Sets the width or thickness of a line.
    Parameters:
      `width` - the new width

  - ### getRelativeWidth

    public Size getRelativeWidth()
    Gets the length of the footnote separator line as a percentage of the body text area.
    Returns:
      the relative width

  - ### setRelativeWidth

    public void setRelativeWidth​(Size relativeWidth)
    Sets the length of the footnote separator line as a percentage of the body text area.
    Parameters:
      `relativeWidth` - the new relative width

  - ### getColor

    public String getColor()
    Gets the color of a column or footnote separator line.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color of a column or footnote separator line.
    Parameters:
      `color` - the new color

  - ### getLineStyle

    public LineStyle getLineStyle()
    Gets the style of a footnote separator line.
    Returns:
      the line style

  - ### setLineStyle

    public void setLineStyle​(LineStyle lineStyle)
    Sets the style of a footnote separator line.
    Parameters:
      `lineStyle` - the new line style

  - ### getAdjustment

    public Adjustment getAdjustment()
    Specifies how a footnote separator line is aligned on a page.
    Returns:
      the adjustment

  - ### setAdjustment

    public void setAdjustment​(Adjustment adjustment)
    Specifies how a footnote separator line is aligned on a page.
    Parameters:
      `adjustment` - the new adjustment

  - ### getDistanceBeforeSeparator

    public Size getDistanceBeforeSeparator()
    Gets the space between the body text area and a footnote separator line.
    Returns:
      the distance before separator

  - ### setDistanceBeforeSeparator

    public void setDistanceBeforeSeparator​(Size distanceBeforeSeparator)
    Sets the space between the body text area and a footnote separator line.
    Parameters:
      `distanceBeforeSeparator` - the new distance before separator

  - ### getDistanceAfterSeparator

    public Size getDistanceAfterSeparator()
    Gets the space between a footnote separator line and the footnote text.
    Returns:
      the distance after separator

  - ### setDistanceAfterSeparator

    public void setDistanceAfterSeparator​(Size distanceAfterSeparator)
    Sets the space between a footnote separator line and the footnote text.
    Parameters:
      `distanceAfterSeparator` - the new distance after separator